Home

# Library goog.jsaction.jsprops

Function Summary
| `get(!Element elem, string name) ⇒ <Any Type>` Retrieves a property from an element.
| `getPropertiesObject_(!Element elem) ⇒ ?Object` Parses the 'jsprops' attribute and returns them as dictionary.
| `set(!Element elem, string name, <Any Type> value, boolean= opt_updateAttribute)` Stores a property on an element.
| `updateAttribute(!Element elem)` Writes all properties back into the 'jsprops' attribute. Call this method if you need values to persist when the element is subsequently cloned, as attributes are copied when cloning an element, but properties added to the corresponding JS object are not.